IDEA运行导入的项目文件出现Error:(xx,xx) java:需要class,interface或enum

解决办法:

  • 检查顶端的包名是否正确
  • 检查文件编码(哪怕是中文显示正常,特别是删掉顶部的package后出现’\uxxx’这类的非法字符提示),可将导入的文件先转为UTF-16,再从UTF-16转为UTF-8即可解决(不要先转GBK那样大概率会出现乱码)
  • 如果有那闲工夫也可先在IDEA创建一个.java文件,将需要导入的内容复制再粘贴到IDEA也可解决

原因: 是因为UTF-8有BOM导致的

扩展:如果是eclipse则不会遇到此问题,其自身没有这样详细的编码校验

©️2020 CSDN 皮肤主题: 撸撸猫 设计师:设计师小姐姐 返回首页